package com.cretin.entity.exam;

import java.util.List;

public class ExamItem2 {


    private int code;
    private List<DataDTO> data;
    private String jsessionid;
    private boolean success;

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public List<DataDTO> getData() {
        return data;
    }

    public void setData(List<DataDTO> data) {
        this.data = data;
    }

    public String getJsessionid() {
        return jsessionid;
    }

    public void setJsessionid(String jsessionid) {
        this.jsessionid = jsessionid;
    }

    public boolean isSuccess() {
        return success;
    }

    public void setSuccess(boolean success) {
        this.success = success;
    }

    public static class DataDTO {
        private String id;
        private String activity_register_id;

        private ChildActivitymoduleDTO.RegisterModuleDTO registerModule;
        private String create_by;
        private String create_time;
        private String update_by;
        private String update_time;
        private String activity_id;
        private String mod_name;
        private String dic_mod_type;
        private int sort_order;
        private boolean enabled;
        private int mod_times;
        private boolean allow_download;
        private boolean allow_fast;
        private boolean is_elective;
        private int view_times;
        private int mod_pages;
        private int live_layout;
        private int live_type;
        private int allow_attempts;
        private int allow_check_correct;
        private int passing_rate;
        private int question_number;
        private int allow_switch_screen;
        private int testing_times;
        private int answer_mode;
        private int score_percent;
        private boolean graduate_exam;
        private boolean publish_to_mobile;
        private boolean limit_learning_time;
        private boolean live_record;
        private boolean micro_lecture;
        private boolean course_evaluate;
        private boolean enable_watermark;
        private int clock_text_number;
        private int clock_image_number;
        private int clock_media_seconds;
        private int integral_point;
        private String mark_type;
        private List<ChildActivitymoduleDTO> child_activitymodule;
        private boolean enterAble;
        private boolean checkRegisterAble;
        private boolean assessing;
        private int time_status;
        private String res_module_id;
        private String platform_type;
        private boolean give_like;
        private boolean alert;
        private boolean copy_to_hx;
        private boolean only_course_student;
        private boolean version;

        public ChildActivitymoduleDTO.RegisterModuleDTO getRegisterModule() {
            return registerModule;
        }

        public void setRegisterModule(ChildActivitymoduleDTO.RegisterModuleDTO registerModule) {
            this.registerModule = registerModule;
        }

        public String getActivity_register_id() {
            return activity_register_id;
        }

        public void setActivity_register_id(String activity_register_id) {
            this.activity_register_id = activity_register_id;
        }

        public String getId() {
            return id;
        }

        public void setId(String id) {
            this.id = id;
        }

        public String getCreate_by() {
            return create_by;
        }

        public void setCreate_by(String create_by) {
            this.create_by = create_by;
        }

        public String getCreate_time() {
            return create_time;
        }

        public void setCreate_time(String create_time) {
            this.create_time = create_time;
        }

        public String getUpdate_by() {
            return update_by;
        }

        public void setUpdate_by(String update_by) {
            this.update_by = update_by;
        }

        public String getUpdate_time() {
            return update_time;
        }

        public void setUpdate_time(String update_time) {
            this.update_time = update_time;
        }

        public String getActivity_id() {
            return activity_id;
        }

        public void setActivity_id(String activity_id) {
            this.activity_id = activity_id;
        }

        public String getMod_name() {
            return mod_name;
        }

        public void setMod_name(String mod_name) {
            this.mod_name = mod_name;
        }

        public String getDic_mod_type() {
            return dic_mod_type;
        }

        public void setDic_mod_type(String dic_mod_type) {
            this.dic_mod_type = dic_mod_type;
        }

        public int getSort_order() {
            return sort_order;
        }

        public void setSort_order(int sort_order) {
            this.sort_order = sort_order;
        }

        public boolean isEnabled() {
            return enabled;
        }

        public void setEnabled(boolean enabled) {
            this.enabled = enabled;
        }

        public int getMod_times() {
            return mod_times;
        }

        public void setMod_times(int mod_times) {
            this.mod_times = mod_times;
        }

        public boolean isAllow_download() {
            return allow_download;
        }

        public void setAllow_download(boolean allow_download) {
            this.allow_download = allow_download;
        }

        public boolean isAllow_fast() {
            return allow_fast;
        }

        public void setAllow_fast(boolean allow_fast) {
            this.allow_fast = allow_fast;
        }

        public boolean isIs_elective() {
            return is_elective;
        }

        public void setIs_elective(boolean is_elective) {
            this.is_elective = is_elective;
        }

        public int getView_times() {
            return view_times;
        }

        public void setView_times(int view_times) {
            this.view_times = view_times;
        }

        public int getMod_pages() {
            return mod_pages;
        }

        public void setMod_pages(int mod_pages) {
            this.mod_pages = mod_pages;
        }

        public int getLive_layout() {
            return live_layout;
        }

        public void setLive_layout(int live_layout) {
            this.live_layout = live_layout;
        }

        public int getLive_type() {
            return live_type;
        }

        public void setLive_type(int live_type) {
            this.live_type = live_type;
        }

        public int getAllow_attempts() {
            return allow_attempts;
        }

        public void setAllow_attempts(int allow_attempts) {
            this.allow_attempts = allow_attempts;
        }

        public int getAllow_check_correct() {
            return allow_check_correct;
        }

        public void setAllow_check_correct(int allow_check_correct) {
            this.allow_check_correct = allow_check_correct;
        }

        public int getPassing_rate() {
            return passing_rate;
        }

        public void setPassing_rate(int passing_rate) {
            this.passing_rate = passing_rate;
        }

        public int getQuestion_number() {
            return question_number;
        }

        public void setQuestion_number(int question_number) {
            this.question_number = question_number;
        }

        public int getAllow_switch_screen() {
            return allow_switch_screen;
        }

        public void setAllow_switch_screen(int allow_switch_screen) {
            this.allow_switch_screen = allow_switch_screen;
        }

        public int getTesting_times() {
            return testing_times;
        }

        public void setTesting_times(int testing_times) {
            this.testing_times = testing_times;
        }

        public int getAnswer_mode() {
            return answer_mode;
        }

        public void setAnswer_mode(int answer_mode) {
            this.answer_mode = answer_mode;
        }

        public int getScore_percent() {
            return score_percent;
        }

        public void setScore_percent(int score_percent) {
            this.score_percent = score_percent;
        }

        public boolean isGraduate_exam() {
            return graduate_exam;
        }

        public void setGraduate_exam(boolean graduate_exam) {
            this.graduate_exam = graduate_exam;
        }

        public boolean isPublish_to_mobile() {
            return publish_to_mobile;
        }

        public void setPublish_to_mobile(boolean publish_to_mobile) {
            this.publish_to_mobile = publish_to_mobile;
        }

        public boolean isLimit_learning_time() {
            return limit_learning_time;
        }

        public void setLimit_learning_time(boolean limit_learning_time) {
            this.limit_learning_time = limit_learning_time;
        }

        public boolean isLive_record() {
            return live_record;
        }

        public void setLive_record(boolean live_record) {
            this.live_record = live_record;
        }

        public boolean isMicro_lecture() {
            return micro_lecture;
        }

        public void setMicro_lecture(boolean micro_lecture) {
            this.micro_lecture = micro_lecture;
        }

        public boolean isCourse_evaluate() {
            return course_evaluate;
        }

        public void setCourse_evaluate(boolean course_evaluate) {
            this.course_evaluate = course_evaluate;
        }

        public boolean isEnable_watermark() {
            return enable_watermark;
        }

        public void setEnable_watermark(boolean enable_watermark) {
            this.enable_watermark = enable_watermark;
        }

        public int getClock_text_number() {
            return clock_text_number;
        }

        public void setClock_text_number(int clock_text_number) {
            this.clock_text_number = clock_text_number;
        }

        public int getClock_image_number() {
            return clock_image_number;
        }

        public void setClock_image_number(int clock_image_number) {
            this.clock_image_number = clock_image_number;
        }

        public int getClock_media_seconds() {
            return clock_media_seconds;
        }

        public void setClock_media_seconds(int clock_media_seconds) {
            this.clock_media_seconds = clock_media_seconds;
        }

        public int getIntegral_point() {
            return integral_point;
        }

        public void setIntegral_point(int integral_point) {
            this.integral_point = integral_point;
        }

        public String getMark_type() {
            return mark_type;
        }

        public void setMark_type(String mark_type) {
            this.mark_type = mark_type;
        }

        public List<ChildActivitymoduleDTO> getChild_activitymodule() {
            return child_activitymodule;
        }

        public void setChild_activitymodule(List<ChildActivitymoduleDTO> child_activitymodule) {
            this.child_activitymodule = child_activitymodule;
        }

        public boolean isEnterAble() {
            return enterAble;
        }

        public void setEnterAble(boolean enterAble) {
            this.enterAble = enterAble;
        }

        public boolean isCheckRegisterAble() {
            return checkRegisterAble;
        }

        public void setCheckRegisterAble(boolean checkRegisterAble) {
            this.checkRegisterAble = checkRegisterAble;
        }

        public boolean isAssessing() {
            return assessing;
        }

        public void setAssessing(boolean assessing) {
            this.assessing = assessing;
        }

        public int getTime_status() {
            return time_status;
        }

        public void setTime_status(int time_status) {
            this.time_status = time_status;
        }

        public String getRes_module_id() {
            return res_module_id;
        }

        public void setRes_module_id(String res_module_id) {
            this.res_module_id = res_module_id;
        }

        public String getPlatform_type() {
            return platform_type;
        }

        public void setPlatform_type(String platform_type) {
            this.platform_type = platform_type;
        }

        public boolean isGive_like() {
            return give_like;
        }

        public void setGive_like(boolean give_like) {
            this.give_like = give_like;
        }

        public boolean isAlert() {
            return alert;
        }

        public void setAlert(boolean alert) {
            this.alert = alert;
        }

        public boolean isCopy_to_hx() {
            return copy_to_hx;
        }

        public void setCopy_to_hx(boolean copy_to_hx) {
            this.copy_to_hx = copy_to_hx;
        }

        public boolean isOnly_course_student() {
            return only_course_student;
        }

        public void setOnly_course_student(boolean only_course_student) {
            this.only_course_student = only_course_student;
        }

        public boolean isVersion() {
            return version;
        }

        public void setVersion(boolean version) {
            this.version = version;
        }

        public static class ChildActivitymoduleDTO {
            private String id;
            private String create_by;
            private String create_time;
            private String update_by;
            private String update_time;
            private String activity_id;
            private String mod_name;
            private String dic_mod_type;
            private String parent_id;
            private int sort_order;
            private boolean enabled;
            private String mod_from;
            private int mod_times;
            private boolean allow_download;
            private boolean allow_fast;
            private String complete_condition;
            private boolean is_elective;
            private int view_times;
            private int mod_pages;
            private String file_name;
            private String dic_convert_status;
            private int live_layout;
            private int live_type;
            private int allow_attempts;
            private int allow_check_correct;
            private int passing_rate;
            private int question_number;
            private int allow_switch_screen;
            private int testing_times;
            private int answer_mode;
            private int score_percent;
            private boolean graduate_exam;
            private String current_history_id;
            private boolean publish_to_mobile;
            private boolean limit_learning_time;
            private boolean live_record;
            private boolean micro_lecture;
            private boolean course_evaluate;
            private boolean enable_watermark;
            private int clock_text_number;
            private int clock_image_number;
            private int clock_media_seconds;
            private int integral_point;
            private String mark_type;
            private String activity_register_id;
            private boolean currentLearn;
            private boolean enterAble;
            private boolean checkRegisterAble;
            private boolean assessing;
            private RegisterModuleDTO registerModule;
            private String register_module_history_id;
            private int time_status;
            private String res_module_id;
            private String platform_type;
            private boolean give_like;
            private boolean alert;
            private boolean copy_to_hx;
            private boolean only_course_student;
            private boolean version;

            public String getId() {
                return id;
            }

            public void setId(String id) {
                this.id = id;
            }

            public String getCreate_by() {
                return create_by;
            }

            public void setCreate_by(String create_by) {
                this.create_by = create_by;
            }

            public String getCreate_time() {
                return create_time;
            }

            public void setCreate_time(String create_time) {
                this.create_time = create_time;
            }

            public String getUpdate_by() {
                return update_by;
            }

            public void setUpdate_by(String update_by) {
                this.update_by = update_by;
            }

            public String getUpdate_time() {
                return update_time;
            }

            public void setUpdate_time(String update_time) {
                this.update_time = update_time;
            }

            public String getActivity_id() {
                return activity_id;
            }

            public void setActivity_id(String activity_id) {
                this.activity_id = activity_id;
            }

            public String getMod_name() {
                return mod_name;
            }

            public void setMod_name(String mod_name) {
                this.mod_name = mod_name;
            }

            public String getDic_mod_type() {
                return dic_mod_type;
            }

            public void setDic_mod_type(String dic_mod_type) {
                this.dic_mod_type = dic_mod_type;
            }

            public String getParent_id() {
                return parent_id;
            }

            public void setParent_id(String parent_id) {
                this.parent_id = parent_id;
            }

            public int getSort_order() {
                return sort_order;
            }

            public void setSort_order(int sort_order) {
                this.sort_order = sort_order;
            }

            public boolean isEnabled() {
                return enabled;
            }

            public void setEnabled(boolean enabled) {
                this.enabled = enabled;
            }

            public String getMod_from() {
                return mod_from;
            }

            public void setMod_from(String mod_from) {
                this.mod_from = mod_from;
            }

            public int getMod_times() {
                return mod_times;
            }

            public void setMod_times(int mod_times) {
                this.mod_times = mod_times;
            }

            public boolean isAllow_download() {
                return allow_download;
            }

            public void setAllow_download(boolean allow_download) {
                this.allow_download = allow_download;
            }

            public boolean isAllow_fast() {
                return allow_fast;
            }

            public void setAllow_fast(boolean allow_fast) {
                this.allow_fast = allow_fast;
            }

            public String getComplete_condition() {
                return complete_condition;
            }

            public void setComplete_condition(String complete_condition) {
                this.complete_condition = complete_condition;
            }

            public boolean isIs_elective() {
                return is_elective;
            }

            public void setIs_elective(boolean is_elective) {
                this.is_elective = is_elective;
            }

            public int getView_times() {
                return view_times;
            }

            public void setView_times(int view_times) {
                this.view_times = view_times;
            }

            public int getMod_pages() {
                return mod_pages;
            }

            public void setMod_pages(int mod_pages) {
                this.mod_pages = mod_pages;
            }

            public String getFile_name() {
                return file_name;
            }

            public void setFile_name(String file_name) {
                this.file_name = file_name;
            }

            public String getDic_convert_status() {
                return dic_convert_status;
            }

            public void setDic_convert_status(String dic_convert_status) {
                this.dic_convert_status = dic_convert_status;
            }

            public int getLive_layout() {
                return live_layout;
            }

            public void setLive_layout(int live_layout) {
                this.live_layout = live_layout;
            }

            public int getLive_type() {
                return live_type;
            }

            public void setLive_type(int live_type) {
                this.live_type = live_type;
            }

            public int getAllow_attempts() {
                return allow_attempts;
            }

            public void setAllow_attempts(int allow_attempts) {
                this.allow_attempts = allow_attempts;
            }

            public int getAllow_check_correct() {
                return allow_check_correct;
            }

            public void setAllow_check_correct(int allow_check_correct) {
                this.allow_check_correct = allow_check_correct;
            }

            public int getPassing_rate() {
                return passing_rate;
            }

            public void setPassing_rate(int passing_rate) {
                this.passing_rate = passing_rate;
            }

            public int getQuestion_number() {
                return question_number;
            }

            public void setQuestion_number(int question_number) {
                this.question_number = question_number;
            }

            public int getAllow_switch_screen() {
                return allow_switch_screen;
            }

            public void setAllow_switch_screen(int allow_switch_screen) {
                this.allow_switch_screen = allow_switch_screen;
            }

            public int getTesting_times() {
                return testing_times;
            }

            public void setTesting_times(int testing_times) {
                this.testing_times = testing_times;
            }

            public int getAnswer_mode() {
                return answer_mode;
            }

            public void setAnswer_mode(int answer_mode) {
                this.answer_mode = answer_mode;
            }

            public int getScore_percent() {
                return score_percent;
            }

            public void setScore_percent(int score_percent) {
                this.score_percent = score_percent;
            }

            public boolean isGraduate_exam() {
                return graduate_exam;
            }

            public void setGraduate_exam(boolean graduate_exam) {
                this.graduate_exam = graduate_exam;
            }

            public String getCurrent_history_id() {
                return current_history_id;
            }

            public void setCurrent_history_id(String current_history_id) {
                this.current_history_id = current_history_id;
            }

            public boolean isPublish_to_mobile() {
                return publish_to_mobile;
            }

            public void setPublish_to_mobile(boolean publish_to_mobile) {
                this.publish_to_mobile = publish_to_mobile;
            }

            public boolean isLimit_learning_time() {
                return limit_learning_time;
            }

            public void setLimit_learning_time(boolean limit_learning_time) {
                this.limit_learning_time = limit_learning_time;
            }

            public boolean isLive_record() {
                return live_record;
            }

            public void setLive_record(boolean live_record) {
                this.live_record = live_record;
            }

            public boolean isMicro_lecture() {
                return micro_lecture;
            }

            public void setMicro_lecture(boolean micro_lecture) {
                this.micro_lecture = micro_lecture;
            }

            public boolean isCourse_evaluate() {
                return course_evaluate;
            }

            public void setCourse_evaluate(boolean course_evaluate) {
                this.course_evaluate = course_evaluate;
            }

            public boolean isEnable_watermark() {
                return enable_watermark;
            }

            public void setEnable_watermark(boolean enable_watermark) {
                this.enable_watermark = enable_watermark;
            }

            public int getClock_text_number() {
                return clock_text_number;
            }

            public void setClock_text_number(int clock_text_number) {
                this.clock_text_number = clock_text_number;
            }

            public int getClock_image_number() {
                return clock_image_number;
            }

            public void setClock_image_number(int clock_image_number) {
                this.clock_image_number = clock_image_number;
            }

            public int getClock_media_seconds() {
                return clock_media_seconds;
            }

            public void setClock_media_seconds(int clock_media_seconds) {
                this.clock_media_seconds = clock_media_seconds;
            }

            public int getIntegral_point() {
                return integral_point;
            }

            public void setIntegral_point(int integral_point) {
                this.integral_point = integral_point;
            }

            public String getMark_type() {
                return mark_type;
            }

            public void setMark_type(String mark_type) {
                this.mark_type = mark_type;
            }

            public String getActivity_register_id() {
                return activity_register_id;
            }

            public void setActivity_register_id(String activity_register_id) {
                this.activity_register_id = activity_register_id;
            }

            public boolean isCurrentLearn() {
                return currentLearn;
            }

            public void setCurrentLearn(boolean currentLearn) {
                this.currentLearn = currentLearn;
            }

            public boolean isEnterAble() {
                return enterAble;
            }

            public void setEnterAble(boolean enterAble) {
                this.enterAble = enterAble;
            }

            public boolean isCheckRegisterAble() {
                return checkRegisterAble;
            }

            public void setCheckRegisterAble(boolean checkRegisterAble) {
                this.checkRegisterAble = checkRegisterAble;
            }

            public boolean isAssessing() {
                return assessing;
            }

            public void setAssessing(boolean assessing) {
                this.assessing = assessing;
            }

            public RegisterModuleDTO getRegisterModule() {
                return registerModule;
            }

            public void setRegisterModule(RegisterModuleDTO registerModule) {
                this.registerModule = registerModule;
            }

            public String getRegister_module_history_id() {
                return register_module_history_id;
            }

            public void setRegister_module_history_id(String register_module_history_id) {
                this.register_module_history_id = register_module_history_id;
            }

            public int getTime_status() {
                return time_status;
            }

            public void setTime_status(int time_status) {
                this.time_status = time_status;
            }

            public String getRes_module_id() {
                return res_module_id;
            }

            public void setRes_module_id(String res_module_id) {
                this.res_module_id = res_module_id;
            }

            public String getPlatform_type() {
                return platform_type;
            }

            public void setPlatform_type(String platform_type) {
                this.platform_type = platform_type;
            }

            public boolean isGive_like() {
                return give_like;
            }

            public void setGive_like(boolean give_like) {
                this.give_like = give_like;
            }

            public boolean isAlert() {
                return alert;
            }

            public void setAlert(boolean alert) {
                this.alert = alert;
            }

            public boolean isCopy_to_hx() {
                return copy_to_hx;
            }

            public void setCopy_to_hx(boolean copy_to_hx) {
                this.copy_to_hx = copy_to_hx;
            }

            public boolean isOnly_course_student() {
                return only_course_student;
            }

            public void setOnly_course_student(boolean only_course_student) {
                this.only_course_student = only_course_student;
            }

            public boolean isVersion() {
                return version;
            }

            public void setVersion(boolean version) {
                this.version = version;
            }

            public static class RegisterModuleDTO {
                private String id;
                private String create_by;
                private String create_time;
                private String update_by;
                private String update_time;
                private String register_id;
                private String module_id;
                private String dic_learn_status;
                private String learn_status;
                private double progress_score;
                private String complete_time;
                private int total_visit_seconds;
                private String total_visit_duration;
                private int total_visit_times;
                private int visit_position;
                private String first_visit_time;
                private String last_visit_time;
                private double min_score;
                private double max_score;
                private double teacher_grade;
                private double course_grade;
                private int ar_total_visit_seconds;

                public String getId() {
                    return id;
                }

                public void setId(String id) {
                    this.id = id;
                }

                public String getCreate_by() {
                    return create_by;
                }

                public void setCreate_by(String create_by) {
                    this.create_by = create_by;
                }

                public String getCreate_time() {
                    return create_time;
                }

                public void setCreate_time(String create_time) {
                    this.create_time = create_time;
                }

                public String getUpdate_by() {
                    return update_by;
                }

                public void setUpdate_by(String update_by) {
                    this.update_by = update_by;
                }

                public String getUpdate_time() {
                    return update_time;
                }

                public void setUpdate_time(String update_time) {
                    this.update_time = update_time;
                }

                public String getRegister_id() {
                    return register_id;
                }

                public void setRegister_id(String register_id) {
                    this.register_id = register_id;
                }

                public String getModule_id() {
                    return module_id;
                }

                public void setModule_id(String module_id) {
                    this.module_id = module_id;
                }

                public String getDic_learn_status() {
                    return dic_learn_status;
                }

                public void setDic_learn_status(String dic_learn_status) {
                    this.dic_learn_status = dic_learn_status;
                }

                public String getLearn_status() {
                    return learn_status;
                }

                public void setLearn_status(String learn_status) {
                    this.learn_status = learn_status;
                }

                public double getProgress_score() {
                    return progress_score;
                }

                public void setProgress_score(double progress_score) {
                    this.progress_score = progress_score;
                }

                public String getComplete_time() {
                    return complete_time;
                }

                public void setComplete_time(String complete_time) {
                    this.complete_time = complete_time;
                }

                public int getTotal_visit_seconds() {
                    return total_visit_seconds;
                }

                public void setTotal_visit_seconds(int total_visit_seconds) {
                    this.total_visit_seconds = total_visit_seconds;
                }

                public String getTotal_visit_duration() {
                    return total_visit_duration;
                }

                public void setTotal_visit_duration(String total_visit_duration) {
                    this.total_visit_duration = total_visit_duration;
                }

                public int getTotal_visit_times() {
                    return total_visit_times;
                }

                public void setTotal_visit_times(int total_visit_times) {
                    this.total_visit_times = total_visit_times;
                }

                public int getVisit_position() {
                    return visit_position;
                }

                public void setVisit_position(int visit_position) {
                    this.visit_position = visit_position;
                }

                public String getFirst_visit_time() {
                    return first_visit_time;
                }

                public void setFirst_visit_time(String first_visit_time) {
                    this.first_visit_time = first_visit_time;
                }

                public String getLast_visit_time() {
                    return last_visit_time;
                }

                public void setLast_visit_time(String last_visit_time) {
                    this.last_visit_time = last_visit_time;
                }

                public double getMin_score() {
                    return min_score;
                }

                public void setMin_score(double min_score) {
                    this.min_score = min_score;
                }

                public double getMax_score() {
                    return max_score;
                }

                public void setMax_score(double max_score) {
                    this.max_score = max_score;
                }

                public double getTeacher_grade() {
                    return teacher_grade;
                }

                public void setTeacher_grade(double teacher_grade) {
                    this.teacher_grade = teacher_grade;
                }

                public double getCourse_grade() {
                    return course_grade;
                }

                public void setCourse_grade(double course_grade) {
                    this.course_grade = course_grade;
                }

                public int getAr_total_visit_seconds() {
                    return ar_total_visit_seconds;
                }

                public void setAr_total_visit_seconds(int ar_total_visit_seconds) {
                    this.ar_total_visit_seconds = ar_total_visit_seconds;
                }
            }
        }
    }
}
